%define name    transkode
%define version 0.7
%define release %mkrel 5

Summary:        A utility to convert audio files between formats
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv2+
Url:            http://kde-apps.org/content/show.php?content=27512
Group:          Sound
Source0:        %{name}-%{version}.tar.bz2
Source1: pt_BR.po
Patch0: configdialog.cpp.patch
Patch1:		transkode-0.7-gcc-4.3.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libtaglib-devel >= 1.4
BuildRequires:  kdemultimedia3-devel
BuildRequires:  kdebase3-devel 
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
 
%description
This is a program that will convert your audio files from on format to
another, e.g. from MP3 to Ogg.

This package also provides a script for Amarok that supports the 
specification for on-the-fly format conversion when transfering files
to your media device.

Note that you will need the lame binary for MP3 encoding (hint: look in PLF)

%post
%{update_desktop_database}

%postun
%{clean_desktop_database}

%files -f %name.lang
%defattr(-,root,root)
%{_kde3_bindir}/%{name}
%{_kde3_datadir}/icons/hicolor/*/apps/%{name}.png
%{_kde3_datadir}/applications/kde/%{name}.desktop
%{_kde3_datadir}/apps/amarok/scripts/%{name}
%{_kde3_datadir}/apps/%{name}
%{_kde3_datadir}/config/%{name}rc

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}
%patch0 -p1
%patch1 -p0

cp %SOURCE1 po

%build
%configure_kde3
%make

%install
rm -rf %{buildroot}

%{makeinstall_std}

desktop-file-install --vendor="" --delete-original \
  --add-category="AudioVideo" \
  --dir %{buildroot}%{_kde3_datadir}/applications/kde/ %{buildroot}%{_kde3_datadir}/applnk/%{name}.desktop

%find_lang %{name}

%clean
rm -rf %{buildroot}






%changelog
* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.7-5mdv2009.0
+ Revision: 261645
- rebuild

* Wed Jul 30 2008 Funda Wang <fundawang@mandriva.org> 0.7-4mdv2009.0
+ Revision: 254809
- add gcc 4.3 patch
- switch to /opt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Wed Apr 02 2008 Helio Chissini de Castro <helio@mandriva.com> 0.7-2mdv2008.1
+ Revision: 191717
- Fixed pt_BR translations

* Wed Feb 27 2008 Colin Guthrie <cguthrie@mandriva.org> 0.7-1mdv2008.1
+ Revision: 175655
- New version: 0.7

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot


* Sat Apr 07 2007 Colin Guthrie <cguthrie@mandriva.org> 0.6-1mdv2007.1
+ Revision: 151147
- Import transkode

